/*
 * Pfarrplaner
 *
 * @package Pfarrplaner
 * @author Christoph Fischer <chris@toph.de>
 * @copyright (c) Christoph Fischer, https://christoph-fischer.org
 * @license https://www.gnu.org/licenses/gpl-3.0.txt GPL 3.0 or later
 * @link https://codeberg.org/pfarr.tools/pfarrplaner
 * @version git: $Id$
 *
 * Sponsored by: Evangelischer Kirchenbezirk Balingen, https://www.kirchenbezirk-balingen.de
 *
 * Pfarrplaner is based on the Laravel framework (https://laravel.com).
 * This file may contain code created by Laravel's scaffolding functions.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

.quill-editor .ql-container.ql-snow {
    border-top: solid 1px #ccc !important;
    border-radius: .25rem !important;
}

.quill-editor, .quill-editor .ql-toolbar.ql-snow {
    border-top-left-radius: .25rem !important;
    border-top-right-radius: .25rem !important;
}

.quill-editor .ql-toolbar {
    display: none;
}
.quill-editor.focused .ql-container.ql-snow {
    border-top: 0 !important;
    border-top-left-radius: 0 !important;
    border-top-right-radius: 0 !important;
}
.quill-editor.focused {
    border: solid 1px #80bdff;
     border-radius: 0;
}

.quill-editor.focused .ql-toolbar {
    display: block;
}

.ql-editor {
    font-size: 1rem !important;
}

.ql-editor h1, .ql-editor h2 {
    margin: 1rem 0;
}

.ql-editor p {
    margin-bottom: .4rem;
}

.ql-snow .ql-editor blockquote {
    font-size: .8rem;
    margin-bottom: 0 !important;
    margin-top: 0 !important;
    padding: 10px 50px 10px 30px;
}
